Subject: Re: linux-next: build failure after merge of the target-merge tree

From: "Nicholas A. Bellinger" <[email-masked]>
Date: Thu, 15 Dec 2011 22:12:43 -0800

On Thu, 2011-12-15 at 13:29 +1100, Stephen Rothwell wrote:
> Hi Nicholas,
> 
> After merging the target-merge tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> drivers/infiniband/ulp/srpt/ib_srpt.c:48:39: fatal error: target/target_core_device.h: No such file or directory
> 
> Caused by commit e0d85e515640 ("ib_srpt: Initial SRP Target merge for
> v3.2-rc1") interacting with commit c4795fb20edf ("target: header
> reshuffle, part2") from the target-updates tree which removed
> include/target/target_core_device.h.
> 
> I tried to figure out what set of include files is now needed, but
> couldn't easily, so I have dropped the target-merge tree for today.
> 

Hi Steven,

My apologies for the extra breakage.  for-next-merge has been rebased to
for-next, and now includes the proper v3.3 include/target/ headers in
ib_srpt.

Thanks!

--nab